<h1>Ejemplos Input</h1>

<h2>Evento Generado</h2>
<input (keyup)="onKey($event)">
<p>{{values}}</p>

<h2>Referencia a Variable del Template</h2>
<input #box (keyup)="0">
<p>{{box.value}}</p>

<h2>Template Driven</h2>
<input type="text" class="form-control" id="nombre" required [(ngModel)]="nombre" name="nombre">
<p>{{nombre}}</p>

<h2>Reactive Forms</h2>
<input type="text" [formControl]="name">
<p>{{this.name.value}}</p>
